For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Get started
    • Quickstart—Verify a Business
    • Quickstart—Register an entity for payroll taxes
    • Learn how Middesk works
    • Security
    • Changelog
  • Build with Middesk
    • Get your API keys
    • Understand API changes
    • Status codes and errors reference
    • Implement webhooks
    • Secure webhooks
    • Use GraphQL
    • Connect MCP
  • Verify a business (KYB)
    • Verify TIN
    • Verify name and address
      • Name and address review tasks
    • Verify Secretary of State status
    • Verify owners and officers
    • Screen for sanctions and watchlists
    • Search for adverse media
    • Search for Politically Exposed Persons
    • Implement KYC
    • Discover connections
    • Evaluate online presence
    • Assess credit risk
    • Accelerate onboarding
    • Monitor business activity
    • Manage business entities
    • Work with agents
LogoLogo
Contact SalesGet Support
On this page
  • Verify business names
  • Types of business names
  • How Middesk verifies business names
  • Verify office addresses
  • Non-traditional address types
  • How Middesk verifies addresses
  • How to verify name and address
Verify a business (KYB)

Verify name and address

Was this page helpful?
Previous

Name and address verification review tasks

Next
Built with

A business name and office address are key entity identifiers that can help surface meaningful signals about a business entity, its current standing, and other risk factors.

How to trigger name and address verification

Name and address verification are automatically triggered when you create a business in Middesk. Read the quickstart for an example workflow.

Verify business names

Understanding the names associated with a business is an important part of the due diligence process. This is because a business may register as your customer or partner with their “doing business as” (DBA) instead of their legal name. When uncovering critical details about a business, such as its litigation history, the information is almost always filed under the entity’s legal name.

Types of business names

Legal name

An entity’s legal name is meant to uniquely identify the business in a given state. Each state may have requirements around valid entity names. For example, requires the use of alphabetical characters or the use of suffixes like LLC or Inc.. Most states don’t allow an entity to register with a name already in use, and some states require an entity name to reflect the operations of the business.

While states guard against duplicate names, each state acts independently when forming entities. Therefore, many business entities have the same name as a separate business in another state. In this case, it’s critical to understand the domestic and foreign jurisdictions of each state, and how and when each filing was made.

DBA

A company is said to be “doing business as” a name when the business operates under a name different than its legal, registered name. These names are also referred to as assumed, fictitious, or trade names.

State and local governments usually require companies to register these alternate names through a DBA filing, allowing the company to legally operate under a separate trade name.

How Middesk verifies business names

Middesk surfaces names associated with the business entity by verifying the legal name and comparing the submitted DBA name against known legal entities within the Middesk platform.

For more details about name verification, see the names reference.

Middesk only uses the DBA for watchlist screening and not to search for the entity when verifying the identity report.

Verify office addresses

Understanding where a business is located and operates can influence multiple decisions in the business entity diligence process. Moreover, addresses aren’t static and may change over time. Compliance, underwriting, or financial decisions often require a holistic picture of a business entity’s historical physical presence.

In addition to location, the type of address is a critical signal for those conducting diligence. For example, home-based business owners face privacy and safety issues when using their home address as their physical business address and often opt instead to use a P.O. Box as their entity’s registered address.

Addresses can also be an important part of verifying the legitimacy of a business. For example, if you are a payment processor and you are evaluating the risk profile of a business, it’s important to know what address this business is operating out of and the actual details of that address. It may be a red flag to see hundreds of thousands of dollars being processed in payments from a residential address.

Non-traditional address types

Aside from a physical office address, other addresses commonly tied to a business include:

  • Virtual office space. Virtual office spaces or virtual business addresses sell professional-looking mailing addresses to businesses not operating at the location.
  • Mailbox services. Businesses can rent a mailbox like those offered at The UPS Store or mail boxes.
  • Coworking space. Much like virtual office space, coworking spaces provide businesses with a professional mailing address to use for your business.

How Middesk verifies addresses

When running a business report, Middesk retrieves address information from primary sources such as the IRS, Secretary of State, and other regulatory bodies that require address filings. At the same time, Middesk flags other details about retrieved addresses, including whether the address is:

  • A commercial or residential location
  • A virtual or mailbox location
  • Deliverable
  • A registered agent

Middesk also flags the frequency of use across business registrations.

For more details about address verification, see the address reference.

How to verify name and address

1

Create a business

Submit a business with name and address fields to trigger verification.

$curl -X POST https://api.middesk.com/v1/businesses \
> -H "Authorization: Bearer YOUR_API_KEY" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Acme Corporation",
> "addresses": [
> {
> "address_line1": "123 Main Street",
> "city": "San Francisco",
> "state": "CA",
> "postal_code": "94105"
> }
> ],
> "orders": [
> { "product": "business_verification_verify" }
> ]
> }'
2

Wait for verification to complete

Middesk sends a business.updated webhook when verification completes and the business status changes to in_review.

Set up webhooks to receive notifications, or poll the business endpoint.

3

Review the results

Check the review tasks on the Business object for name and address verification results.

Get a demo
Contact your account manager or contact sales to inquire about access.